package com.hzjt.service.impl;

import com.hzjt.domain.Traffalarmrecord;
import com.hzjt.service.TraffAlarmRecordImg;

/**
 * TraffAlarmRecord对象设置图片X地址
 * @author cp
 */
public enum TraffAlarmRecordImgEnum implements TraffAlarmRecordImg {
    /**
     * 根据图片设置地址
     */
    IMG0 {
        @Override
        public void setImg(Traffalarmrecord traffAlarmRecord, String img) {
            traffAlarmRecord.setImg1path(img);
        }
    },
    IMG1 {
        @Override
        public void setImg(Traffalarmrecord traffAlarmRecord, String img) {
            traffAlarmRecord.setImg2path(img);
        }
    },
    IMG2 {
        @Override
        public void setImg(Traffalarmrecord traffAlarmRecord, String img) {
            traffAlarmRecord.setImg3path(img);
        }
    },
    IMG3 {
        @Override
        public void setImg(Traffalarmrecord traffAlarmRecord, String img) {
            traffAlarmRecord.setImg4path(img);
        }
    },
    IMG4 {
        @Override
        public void setImg(Traffalarmrecord traffAlarmRecord, String img) {
            traffAlarmRecord.setImg5path(img);
        }
    }
}
